package com.raycos.raycosdatacenterapi.common.databaselock.impl;

import com.alibaba.fastjson2.JSONObject;
import com.raycos.raycoscommon.Internal.datacenterapi.Lock;
import com.raycos.raycosdatacenterapi.common.databaselock.LockService;
import com.raycos.raycosdatacenterapi.mapper.LockMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.concurrent.TimeUnit;


@Slf4j
@Service
public class LockServiceImpl implements LockService {


    @Autowired
    private LockMapper lockMapper;


    @Override
    public boolean lock(Lock lock) {
        try {
            lockMapper.insert(lock);
        } catch (Exception e) {
            log.error(" LockService 加锁异常 lock信息=> " + JSONObject.toJSONString(lock), e);
            return false;
        }
        return true;
    }


    public void lockInterruptibly() throws InterruptedException {

    }


    public boolean tryLock() {
        return false;
    }


    public boolean tryLock(long time, TimeUnit unit) throws InterruptedException {
        return false;
    }

    @Override
    public boolean unlock(Lock lock) {
        try {
            lockMapper.deleteById(lock);
        } catch (Exception e) {
            log.error(" LockService 解锁异常  lock信息=> " + JSONObject.toJSONString(lock), e);
            return false;
        }
        return true;

    }


}
