package com.raycos.raycosdatacenterapi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.raycos.raycoscommon.Internal.datacenterapi.TbAmzPullOrderTask;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface AmzPullOrderTaskMapper extends BaseMapper<TbAmzPullOrderTask> {


    @Select("   select  id,company_id,store_id,last_operation_time,retry_count  \n" +
            "   from  tb_amz_pull_order_task                                    \n" +
            "   where   last_operation_time < #{lastOperationTime} and          \n" +
            "   retry_count = #{retryCount}  ")
    List<TbAmzPullOrderTask> findPullTask(@Param("lastOperationTime") Long lastOperationTime,
                                          @Param("retryCount") Byte retryCount);


}
