package com.raycos.raycoscommon.Internal.datacenterapi;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 亚马逊店铺拉单任务表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TbAmzPullOrderTask {
    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 企业编号
     */
    private Integer companyId;

    /**
     * 店铺ID
     */
    private Integer storeId;

    /**
     * 最后操作时间
     */
    private Long lastOperationTime;

    /**
     * 任务重试次数
     */
    private Byte retryCount;
}
